
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef ZONE_SCAN_H
#define ZONE_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/sickTclservClientDecode.h"

#include "server/tclservClient/seglocTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genBasicTclservClientDecode.h"


/* Structures du module */
#include "server/zonePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_ZONE_NAVOBSTS_POSTER_STR (char** buf, struct ZONE_NAVOBSTS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_NAVMAP_POSTER_STR (char** buf, struct ZONE_NAVMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_VIRTUAL_OBSTROBOTIN_POSTER_STR (char** buf, struct ZONE_VIRTUAL_OBSTROBOTIN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_VIRTUAL_OBSTMAP_POSTER_STR (char** buf, struct ZONE_VIRTUAL_OBSTMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_SPECIALMOBILE3IN_POSTER_STR (char** buf, struct ZONE_SPECIALMOBILE3IN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_SPECIALMOBILE2IN_POSTER_STR (char** buf, struct ZONE_SPECIALMOBILE2IN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_SPECIALMOBILE1IN_POSTER_STR (char** buf, struct ZONE_SPECIALMOBILE1IN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_SPECIALROBOTIN_POSTER_STR (char** buf, struct ZONE_SPECIALROBOTIN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_SPECIALMAP_POSTER_STR (char** buf, struct ZONE_SPECIALMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_TARGETROBOTIN_POSTER_STR (char** buf, struct ZONE_TARGETROBOTIN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_TARGETMAP_POSTER_STR (char** buf, struct ZONE_TARGETMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_STR (char** buf, struct ZONE_STR *x, int nDim, int *dims );
int scan_buf_struct_ZONE_GET_OUT_FROM_OBST (char** buf, struct ZONE_GET_OUT_FROM_OBST *x, int nDim, int *dims );
int scan_buf_struct_ZONE_OBSTS_IN_NAV_MAP (char** buf, struct ZONE_OBSTS_IN_NAV_MAP *x, int nDim, int *dims );
int scan_buf_struct_ZONE_OBSTS_IN_NAV_MAP_OBSTS (char** buf, struct ZONE_OBSTS_IN_NAV_MAP_OBSTS *x, int nDim, int *dims );
int scan_buf_struct_ZONE_OBSTS_IN_NAV_MAP_HEADER (char** buf, struct ZONE_OBSTS_IN_NAV_MAP_HEADER *x, int nDim, int *dims );
int scan_buf_enum_ZONE_OBST_STATE (char** buf, enum ZONE_OBST_STATE *x, int nDim, int *dims );
int scan_buf_struct_ZONE_OBST (char** buf, struct ZONE_OBST *x, int nDim, int *dims );
int scan_buf_enum_ZONE_OBST_TYPE (char** buf, enum ZONE_OBST_TYPE *x, int nDim, int *dims );
int scan_buf_struct_ZONE_OBSTS_FIELD (char** buf, struct ZONE_OBSTS_FIELD *x, int nDim, int *dims );
int scan_buf_struct_ZONE_TEST_OUTPUT (char** buf, struct ZONE_TEST_OUTPUT *x, int nDim, int *dims );
int scan_buf_struct_ZONE_TEST_INPUT (char** buf, struct ZONE_TEST_INPUT *x, int nDim, int *dims );
int scan_buf_struct_ZONE_MOBILE_AND_ZONE_TYPE (char** buf, struct ZONE_MOBILE_AND_ZONE_TYPE *x, int nDim, int *dims );
int scan_buf_struct_ZONE_MOBILE_AND_ZONE_ID (char** buf, struct ZONE_MOBILE_AND_ZONE_ID *x, int nDim, int *dims );
int scan_buf_struct_ZONE_MOBILE_DESC (char** buf, struct ZONE_MOBILE_DESC *x, int nDim, int *dims );
int scan_buf_struct_ZONE_SEGLOC_MAP (char** buf, struct ZONE_SEGLOC_MAP *x, int nDim, int *dims );
int scan_buf_enum_ZONE_MAP_SOURCE (char** buf, enum ZONE_MAP_SOURCE *x, int nDim, int *dims );
int scan_buf_struct_ZONE_ROBOT_TO_TARGET (char** buf, struct ZONE_ROBOT_TO_TARGET *x, int nDim, int *dims );
int scan_buf_struct_ZONE_PARAMS (char** buf, struct ZONE_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_ZONES_MAP (char** buf, struct ZONES_MAP *x, int nDim, int *dims );
int scan_buf_struct_ZONES_OCCUPIED (char** buf, struct ZONES_OCCUPIED *x, int nDim, int *dims );
int scan_buf_struct_ZONE_IDENTITY (char** buf, struct ZONE_IDENTITY *x, int nDim, int *dims );
int scan_buf_struct_ZONE_DESC (char** buf, struct ZONE_DESC *x, int nDim, int *dims );
int scan_buf_enum_ZONE_STATE (char** buf, enum ZONE_STATE *x, int nDim, int *dims );
int scan_buf_struct_ZONE_FILE (char** buf, struct ZONE_FILE *x, int nDim, int *dims );
int scan_buf_enum_ZONE_TYPE (char** buf, enum ZONE_TYPE *x, int nDim, int *dims );
int scan_buf_enum_ZONE_MOBILE_ID (char** buf, enum ZONE_MOBILE_ID *x, int nDim, int *dims );
int scan_buf_enum_ZONE_CLASS (char** buf, enum ZONE_CLASS *x, int nDim, int *dims );
int scan_buf_struct_ZONE_INIT (char** buf, struct ZONE_INIT *x, int nDim, int *dims );
int scan_buf_enum_ZONE_BOOL (char** buf, enum ZONE_BOOL *x, int nDim, int *dims );
int scan_buf_struct_ZONE_CONFIG (char** buf, struct ZONE_CONFIG *x, int nDim, int *dims );
int scan_buf_struct_ZONE_POINT (char** buf, struct ZONE_POINT *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_ZONE_POINT (char** buf, ZONE_POINT *x, int nDim, int *dims );
int scan_buf_ZONE_CONFIG (char** buf, ZONE_CONFIG *x, int nDim, int *dims );
int scan_buf_ZONE_BOOL (char** buf, ZONE_BOOL *x, int nDim, int *dims );
int scan_buf_ZONE_INIT (char** buf, ZONE_INIT *x, int nDim, int *dims );
int scan_buf_ZONE_CLASS (char** buf, ZONE_CLASS *x, int nDim, int *dims );
int scan_buf_ZONE_MOBILE_ID (char** buf, ZONE_MOBILE_ID *x, int nDim, int *dims );
int scan_buf_ZONE_TYPE (char** buf, ZONE_TYPE *x, int nDim, int *dims );
int scan_buf_ZONE_FILE (char** buf, ZONE_FILE *x, int nDim, int *dims );
int scan_buf_ZONE_STATE (char** buf, ZONE_STATE *x, int nDim, int *dims );
int scan_buf_ZONE_DESC (char** buf, ZONE_DESC *x, int nDim, int *dims );
int scan_buf_ZONE_IDENTITY (char** buf, ZONE_IDENTITY *x, int nDim, int *dims );
int scan_buf_ZONES_OCCUPIED (char** buf, ZONES_OCCUPIED *x, int nDim, int *dims );
int scan_buf_ZONES_MAP (char** buf, ZONES_MAP *x, int nDim, int *dims );
int scan_buf_ZONE_PARAMS (char** buf, ZONE_PARAMS *x, int nDim, int *dims );
int scan_buf_ZONE_ROBOT_TO_TARGET (char** buf, ZONE_ROBOT_TO_TARGET *x, int nDim, int *dims );
int scan_buf_ZONE_MAP_SOURCE (char** buf, ZONE_MAP_SOURCE *x, int nDim, int *dims );
int scan_buf_ZONE_SEGLOC_MAP (char** buf, ZONE_SEGLOC_MAP *x, int nDim, int *dims );
int scan_buf_ZONE_MOBILE_DESC (char** buf, ZONE_MOBILE_DESC *x, int nDim, int *dims );
int scan_buf_ZONE_MOBILE_AND_ZONE_ID (char** buf, ZONE_MOBILE_AND_ZONE_ID *x, int nDim, int *dims );
int scan_buf_ZONE_MOBILE_AND_ZONE_TYPE (char** buf, ZONE_MOBILE_AND_ZONE_TYPE *x, int nDim, int *dims );
int scan_buf_ZONE_TEST_INPUT (char** buf, ZONE_TEST_INPUT *x, int nDim, int *dims );
int scan_buf_ZONE_TEST_OUTPUT (char** buf, ZONE_TEST_OUTPUT *x, int nDim, int *dims );
int scan_buf_ZONE_OBSTS_FIELD (char** buf, ZONE_OBSTS_FIELD *x, int nDim, int *dims );
int scan_buf_ZONE_OBST_TYPE (char** buf, ZONE_OBST_TYPE *x, int nDim, int *dims );
int scan_buf_ZONE_OBST (char** buf, ZONE_OBST *x, int nDim, int *dims );
int scan_buf_ZONE_OBST_STATE (char** buf, ZONE_OBST_STATE *x, int nDim, int *dims );
int scan_buf_ZONE_OBSTS_IN_NAV_MAP_HEADER (char** buf, ZONE_OBSTS_IN_NAV_MAP_HEADER *x, int nDim, int *dims );
int scan_buf_ZONE_OBSTS_IN_NAV_MAP_OBSTS (char** buf, ZONE_OBSTS_IN_NAV_MAP_OBSTS *x, int nDim, int *dims );
int scan_buf_ZONE_OBSTS_IN_NAV_MAP (char** buf, ZONE_OBSTS_IN_NAV_MAP *x, int nDim, int *dims );
int scan_buf_ZONE_GET_OUT_FROM_OBST (char** buf, ZONE_GET_OUT_FROM_OBST *x, int nDim, int *dims );
int scan_buf_ZONE_STR (char** buf, ZONE_STR *x, int nDim, int *dims );
int scan_buf_ZONE_TARGETMAP_POSTER_STR (char** buf, ZONE_TARGETMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ZONE_TARGETROBOTIN_POSTER_STR (char** buf, ZONE_TARGETROBOTIN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ZONE_SPECIALMAP_POSTER_STR (char** buf, ZONE_SPECIALMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ZONE_SPECIALROBOTIN_POSTER_STR (char** buf, ZONE_SPECIALROBOTIN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ZONE_SPECIALMOBILE1IN_POSTER_STR (char** buf, ZONE_SPECIALMOBILE1IN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ZONE_SPECIALMOBILE2IN_POSTER_STR (char** buf, ZONE_SPECIALMOBILE2IN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ZONE_SPECIALMOBILE3IN_POSTER_STR (char** buf, ZONE_SPECIALMOBILE3IN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ZONE_VIRTUAL_OBSTMAP_POSTER_STR (char** buf, ZONE_VIRTUAL_OBSTMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ZONE_VIRTUAL_OBSTROBOTIN_POSTER_STR (char** buf, ZONE_VIRTUAL_OBSTROBOTIN_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ZONE_NAVMAP_POSTER_STR (char** buf, ZONE_NAVMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ZONE_NAVOBSTS_POSTER_STR (char** buf, ZONE_NAVOBSTS_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* ZONE_SCAN_H */

