/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef ZONE_PRINT_H
#define ZONE_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/sickTclservClientEncode.h"

#include "server/tclservClient/seglocTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genBasicTclservClientEncode.h"


#include "server/zonePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_ZONE_NAVOBSTS_POSTER_STR ( buf_t buf, struct ZONE_NAVOBSTS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_NAVMAP_POSTER_STR ( buf_t buf, struct ZONE_NAVMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_VIRTUAL_OBSTROBOTIN_POSTER_STR ( buf_t buf, struct ZONE_VIRTUAL_OBSTROBOTIN_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_VIRTUAL_OBSTMAP_POSTER_STR ( buf_t buf, struct ZONE_VIRTUAL_OBSTMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_SPECIALMOBILE3IN_POSTER_STR ( buf_t buf, struct ZONE_SPECIALMOBILE3IN_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_SPECIALMOBILE2IN_POSTER_STR ( buf_t buf, struct ZONE_SPECIALMOBILE2IN_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_SPECIALMOBILE1IN_POSTER_STR ( buf_t buf, struct ZONE_SPECIALMOBILE1IN_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_SPECIALROBOTIN_POSTER_STR ( buf_t buf, struct ZONE_SPECIALROBOTIN_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_SPECIALMAP_POSTER_STR ( buf_t buf, struct ZONE_SPECIALMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_TARGETROBOTIN_POSTER_STR ( buf_t buf, struct ZONE_TARGETROBOTIN_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_TARGETMAP_POSTER_STR ( buf_t buf, struct ZONE_TARGETMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_STR ( buf_t buf, struct ZONE_STR *x, int nDim, int *dims);
void buf_add_struct_ZONE_GET_OUT_FROM_OBST ( buf_t buf, struct ZONE_GET_OUT_FROM_OBST *x, int nDim, int *dims);
void buf_add_struct_ZONE_OBSTS_IN_NAV_MAP ( buf_t buf, struct ZONE_OBSTS_IN_NAV_MAP *x, int nDim, int *dims);
void buf_add_struct_ZONE_OBSTS_IN_NAV_MAP_OBSTS ( buf_t buf, struct ZONE_OBSTS_IN_NAV_MAP_OBSTS *x, int nDim, int *dims);
void buf_add_struct_ZONE_OBSTS_IN_NAV_MAP_HEADER ( buf_t buf, struct ZONE_OBSTS_IN_NAV_MAP_HEADER *x, int nDim, int *dims);
void buf_add_enum_ZONE_OBST_STATE ( buf_t buf, enum ZONE_OBST_STATE *x, int nDim, int *dims);
void buf_add_struct_ZONE_OBST ( buf_t buf, struct ZONE_OBST *x, int nDim, int *dims);
void buf_add_enum_ZONE_OBST_TYPE ( buf_t buf, enum ZONE_OBST_TYPE *x, int nDim, int *dims);
void buf_add_struct_ZONE_OBSTS_FIELD ( buf_t buf, struct ZONE_OBSTS_FIELD *x, int nDim, int *dims);
void buf_add_struct_ZONE_TEST_OUTPUT ( buf_t buf, struct ZONE_TEST_OUTPUT *x, int nDim, int *dims);
void buf_add_struct_ZONE_TEST_INPUT ( buf_t buf, struct ZONE_TEST_INPUT *x, int nDim, int *dims);
void buf_add_struct_ZONE_MOBILE_AND_ZONE_TYPE ( buf_t buf, struct ZONE_MOBILE_AND_ZONE_TYPE *x, int nDim, int *dims);
void buf_add_struct_ZONE_MOBILE_AND_ZONE_ID ( buf_t buf, struct ZONE_MOBILE_AND_ZONE_ID *x, int nDim, int *dims);
void buf_add_struct_ZONE_MOBILE_DESC ( buf_t buf, struct ZONE_MOBILE_DESC *x, int nDim, int *dims);
void buf_add_struct_ZONE_SEGLOC_MAP ( buf_t buf, struct ZONE_SEGLOC_MAP *x, int nDim, int *dims);
void buf_add_enum_ZONE_MAP_SOURCE ( buf_t buf, enum ZONE_MAP_SOURCE *x, int nDim, int *dims);
void buf_add_struct_ZONE_ROBOT_TO_TARGET ( buf_t buf, struct ZONE_ROBOT_TO_TARGET *x, int nDim, int *dims);
void buf_add_struct_ZONE_PARAMS ( buf_t buf, struct ZONE_PARAMS *x, int nDim, int *dims);
void buf_add_struct_ZONES_MAP ( buf_t buf, struct ZONES_MAP *x, int nDim, int *dims);
void buf_add_struct_ZONES_OCCUPIED ( buf_t buf, struct ZONES_OCCUPIED *x, int nDim, int *dims);
void buf_add_struct_ZONE_IDENTITY ( buf_t buf, struct ZONE_IDENTITY *x, int nDim, int *dims);
void buf_add_struct_ZONE_DESC ( buf_t buf, struct ZONE_DESC *x, int nDim, int *dims);
void buf_add_enum_ZONE_STATE ( buf_t buf, enum ZONE_STATE *x, int nDim, int *dims);
void buf_add_struct_ZONE_FILE ( buf_t buf, struct ZONE_FILE *x, int nDim, int *dims);
void buf_add_enum_ZONE_TYPE ( buf_t buf, enum ZONE_TYPE *x, int nDim, int *dims);
void buf_add_enum_ZONE_MOBILE_ID ( buf_t buf, enum ZONE_MOBILE_ID *x, int nDim, int *dims);
void buf_add_enum_ZONE_CLASS ( buf_t buf, enum ZONE_CLASS *x, int nDim, int *dims);
void buf_add_struct_ZONE_INIT ( buf_t buf, struct ZONE_INIT *x, int nDim, int *dims);
void buf_add_enum_ZONE_BOOL ( buf_t buf, enum ZONE_BOOL *x, int nDim, int *dims);
void buf_add_struct_ZONE_CONFIG ( buf_t buf, struct ZONE_CONFIG *x, int nDim, int *dims);
void buf_add_struct_ZONE_POINT ( buf_t buf, struct ZONE_POINT *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_ZONE_POINT ( buf_t buf, ZONE_POINT *x, int nDim, int *dims);
void buf_add_ZONE_CONFIG ( buf_t buf, ZONE_CONFIG *x, int nDim, int *dims);
void buf_add_ZONE_BOOL ( buf_t buf, ZONE_BOOL *x, int nDim, int *dims);
void buf_add_ZONE_INIT ( buf_t buf, ZONE_INIT *x, int nDim, int *dims);
void buf_add_ZONE_CLASS ( buf_t buf, ZONE_CLASS *x, int nDim, int *dims);
void buf_add_ZONE_MOBILE_ID ( buf_t buf, ZONE_MOBILE_ID *x, int nDim, int *dims);
void buf_add_ZONE_TYPE ( buf_t buf, ZONE_TYPE *x, int nDim, int *dims);
void buf_add_ZONE_FILE ( buf_t buf, ZONE_FILE *x, int nDim, int *dims);
void buf_add_ZONE_STATE ( buf_t buf, ZONE_STATE *x, int nDim, int *dims);
void buf_add_ZONE_DESC ( buf_t buf, ZONE_DESC *x, int nDim, int *dims);
void buf_add_ZONE_IDENTITY ( buf_t buf, ZONE_IDENTITY *x, int nDim, int *dims);
void buf_add_ZONES_OCCUPIED ( buf_t buf, ZONES_OCCUPIED *x, int nDim, int *dims);
void buf_add_ZONES_MAP ( buf_t buf, ZONES_MAP *x, int nDim, int *dims);
void buf_add_ZONE_PARAMS ( buf_t buf, ZONE_PARAMS *x, int nDim, int *dims);
void buf_add_ZONE_ROBOT_TO_TARGET ( buf_t buf, ZONE_ROBOT_TO_TARGET *x, int nDim, int *dims);
void buf_add_ZONE_MAP_SOURCE ( buf_t buf, ZONE_MAP_SOURCE *x, int nDim, int *dims);
void buf_add_ZONE_SEGLOC_MAP ( buf_t buf, ZONE_SEGLOC_MAP *x, int nDim, int *dims);
void buf_add_ZONE_MOBILE_DESC ( buf_t buf, ZONE_MOBILE_DESC *x, int nDim, int *dims);
void buf_add_ZONE_MOBILE_AND_ZONE_ID ( buf_t buf, ZONE_MOBILE_AND_ZONE_ID *x, int nDim, int *dims);
void buf_add_ZONE_MOBILE_AND_ZONE_TYPE ( buf_t buf, ZONE_MOBILE_AND_ZONE_TYPE *x, int nDim, int *dims);
void buf_add_ZONE_TEST_INPUT ( buf_t buf, ZONE_TEST_INPUT *x, int nDim, int *dims);
void buf_add_ZONE_TEST_OUTPUT ( buf_t buf, ZONE_TEST_OUTPUT *x, int nDim, int *dims);
void buf_add_ZONE_OBSTS_FIELD ( buf_t buf, ZONE_OBSTS_FIELD *x, int nDim, int *dims);
void buf_add_ZONE_OBST_TYPE ( buf_t buf, ZONE_OBST_TYPE *x, int nDim, int *dims);
void buf_add_ZONE_OBST ( buf_t buf, ZONE_OBST *x, int nDim, int *dims);
void buf_add_ZONE_OBST_STATE ( buf_t buf, ZONE_OBST_STATE *x, int nDim, int *dims);
void buf_add_ZONE_OBSTS_IN_NAV_MAP_HEADER ( buf_t buf, ZONE_OBSTS_IN_NAV_MAP_HEADER *x, int nDim, int *dims);
void buf_add_ZONE_OBSTS_IN_NAV_MAP_OBSTS ( buf_t buf, ZONE_OBSTS_IN_NAV_MAP_OBSTS *x, int nDim, int *dims);
void buf_add_ZONE_OBSTS_IN_NAV_MAP ( buf_t buf, ZONE_OBSTS_IN_NAV_MAP *x, int nDim, int *dims);
void buf_add_ZONE_GET_OUT_FROM_OBST ( buf_t buf, ZONE_GET_OUT_FROM_OBST *x, int nDim, int *dims);
void buf_add_ZONE_STR ( buf_t buf, ZONE_STR *x, int nDim, int *dims);
void buf_add_ZONE_TARGETMAP_POSTER_STR ( buf_t buf, ZONE_TARGETMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_ZONE_TARGETROBOTIN_POSTER_STR ( buf_t buf, ZONE_TARGETROBOTIN_POSTER_STR *x, int nDim, int *dims);
void buf_add_ZONE_SPECIALMAP_POSTER_STR ( buf_t buf, ZONE_SPECIALMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_ZONE_SPECIALROBOTIN_POSTER_STR ( buf_t buf, ZONE_SPECIALROBOTIN_POSTER_STR *x, int nDim, int *dims);
void buf_add_ZONE_SPECIALMOBILE1IN_POSTER_STR ( buf_t buf, ZONE_SPECIALMOBILE1IN_POSTER_STR *x, int nDim, int *dims);
void buf_add_ZONE_SPECIALMOBILE2IN_POSTER_STR ( buf_t buf, ZONE_SPECIALMOBILE2IN_POSTER_STR *x, int nDim, int *dims);
void buf_add_ZONE_SPECIALMOBILE3IN_POSTER_STR ( buf_t buf, ZONE_SPECIALMOBILE3IN_POSTER_STR *x, int nDim, int *dims);
void buf_add_ZONE_VIRTUAL_OBSTMAP_POSTER_STR ( buf_t buf, ZONE_VIRTUAL_OBSTMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_ZONE_VIRTUAL_OBSTROBOTIN_POSTER_STR ( buf_t buf, ZONE_VIRTUAL_OBSTROBOTIN_POSTER_STR *x, int nDim, int *dims);
void buf_add_ZONE_NAVMAP_POSTER_STR ( buf_t buf, ZONE_NAVMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_ZONE_NAVOBSTS_POSTER_STR ( buf_t buf, ZONE_NAVOBSTS_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* ZONE_TCLSERV_CLIENT_ENCODE_H */

